/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ucp.ws;

/**
 * Simple pojo object used to send UCP model elements
 * 
 * @author Trifolium Alpestre
 */
public class UcpElement {
    private String id;
    private String name;
    private String idParent;
    private String type;
    
    private double schneiderwinters;
    private double hoursPerUc;

    private int complexity;

    private double ucp;
    private double hours;
    private double hoursSW;

    private int subUUCP;
    private double subUCP;
    private double subCasesHours;
    private double subCasesHoursSW;

    
    
    
    /**
     * 
     * @return
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 
     * @return
     */
    public String getIdParent() {
        return idParent;
    }

    /**
     * 
     * @param idParent
     */
    public void setIdParent(String idParent) {
        this.idParent = idParent;
    }

    /**
     * 
     * @return
     */
    public String getType() {
        return type;
    }

    /**
     * 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 
     * @return
     */
    public int getComplexity() {
        return complexity;
    }

    /**
     * 
     * @param complexity
     */
    public void setComplexity(int complexity) {
        this.complexity = complexity;
    }

    /**
     * 
     * @return
     */
    public double getHours() {
        return hours;
    }

    /**
     * 
     * @param hours
     */
    public void setHours(double hours) {
        this.hours = hours;
    }

    /**
     * 
     * @return
     */
    public double getHoursPerUc() {
        return hoursPerUc;
    }

    /**
     * 
     * @param hoursPerUc
     */
    public void setHoursPerUc(double hoursPerUc) {
        this.hoursPerUc = hoursPerUc;
    }

    /**
     * 
     * @return
     */
    public double getHoursSW() {
        return hoursSW;
    }

    /**
     * 
     * @param hoursSW
     */
    public void setHoursSW(double hoursSW) {
        this.hoursSW = hoursSW;
    }

    /**
     * 
     * @return
     */
    public double getSchneiderwinters() {
        return schneiderwinters;
    }

    /**
     * 
     * @param schneiderwinters
     */
    public void setSchneiderwinters(double schneiderwinters) {
        this.schneiderwinters = schneiderwinters;
    }

    /**
     * 
     * @return
     */
    public double getSubCasesHours() {
        return subCasesHours;
    }

    /**
     * 
     * @param subCasesHours
     */
    public void setSubCasesHours(double subCasesHours) {
        this.subCasesHours = subCasesHours;
    }

    /**
     * 
     * @return
     */
    public double getSubCasesHoursSW() {
        return subCasesHoursSW;
    }

    /**
     * 
     * @param subCasesHoursSW
     */
    public void setSubCasesHoursSW(double subCasesHoursSW) {
        this.subCasesHoursSW = subCasesHoursSW;
    }

    /**
     * 
     * @return
     */
    public int getSubUUCP() {
        return subUUCP;
    }

    /**
     * 
     * @param subUUCP
     */
    public void setSubUUCP(int subUUCP) {
        this.subUUCP = subUUCP;
    }

    /**
     * 
     * @return
     */
    public double getUcp() {
        return ucp;
    }

    /**
     * 
     * @param ucp
     */
    public void setUcp(double ucp) {
        this.ucp = ucp;
    }

    /**
     * 
     * @return
     */
    public double getSubUCP() {
        return subUCP;
    }

    /**
     * 
     * @param subUCP
     */
    public void setSubUCP(double subUCP) {
        this.subUCP = subUCP;
    }
    
    
    
    

}
